> For the complete documentation index, see [llms.txt](https://docs.struct.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.struct.com/reference/settings/data-models/product-structures/model-setup/properties.md).

# Properties

{% hint style="info" %}
Expand the section(s) you want to manage properties in
{% endhint %}

### Add a new property

1. Click "+"-icon
2. Choose [property type](/reference/settings/data-models/product-structures/model-setup/properties/property-types.md)
3. Set [property details](/reference/settings/data-models/product-structures/model-setup/properties/property-types/property-details.md)
4. Click "Submit"

### Edit property

1. Hover property and click "Edit"-icon
2. Modify [property details](/reference/settings/data-models/product-structures/model-setup/properties/property-types/property-details.md)
3. Click "Submit"

### Copy property

1. Hover property and click "Copy"-icon
2. Right click a property you want to paste above or below
3. Click "Paste above" or "Paste below"

### Cut property

1. Hover property and click "Cut"-icon
2. Right click a property you want to paste above or below
3. Click "Paste above" or "Paste below"

### Delete property

1. Hover property and click "Delete"-icon

### Bulk copy properties

1. Select properties you wish to copy
2. Click "Copy properties"-icon
3. Right click a property you want to paste above or below
4. Click "Paste above" or "Paste below"

### Bulk cut properties

1. Select properties you wish to copy
2. Click "Copy properties"-icon
3. Right click a properties you want to paste above or below
4. Click "Paste above" or "Paste below"

### Bulk delete properties

1. Select properties you wish to delete
2. Click "Delete sections"-icon


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.struct.com/reference/settings/data-models/product-structures/model-setup/properties.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
